---
- name: Update oracle passwd
  user:
    name: oracle
    password: '$6$wxJDYjxey0nCh5pi$TJ3ECpG1SQKI.PEV.GQCO3oV9IJzfNaNK563maCmjLI3svGJBsULo3LyDa7KxDerfBiXk8cupTOc.FOeARsu51'

- name: Check oracle sqlplus exists
  stat:
    path: "{{oracle_home}}/bin/sqlplus"
  register: sqlplus

- name: Create oracle home
  file:
    path: "{{item}}"
    state: directory
    owner: oracle
    group: oinstall
    mode: 0775
  with_items:
    - "{{oracle_home}}"
    - "{{oracle_data_dir}}"
    - "{{oracle_fast_recovery_area}}"
  when: sqlplus.stat.exists == False

- name: Copy gsm.rsp
  template:
    src: "{{item.src}}"
    dest: "{{item.dest}}"
    owner: oracle
    group: oinstall
    mode: 0755
  when: sqlplus.stat.exists == False
  with_items:
    - { src: "templates/db.rsp", dest: "{{oracle_db_rsp}}" }

- name: Install oracle software
  shell: "{{oracle_pkg_db}}/runInstaller -silent -ignoreSysPrereqs -waitForCompletion -responseFile {{oracle_db_rsp}}"
  become: true
  become_user: oracle
  when: sqlplus.stat.exists == False
  ignore_errors: yes

- name: Run orainstRoot.sh as root
  shell: "{{oracle_inventory}}/orainstRoot.sh"

- name: Run root.sh as root
  shell: "{{oracle_home}}/root.sh"